Skip to main content
GET
/
actions
/
v1
/
stored-actions
Get a read-only list of StoredAction records for the caller
curl --request GET \
  --url https://api.zapier.com/actions/v1/stored-actions \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "type": "stored_action",
      "id": "01932123-02ea-01fc-3fbd-4d66d944064d",
      "connection_id": "019320ab-0000-7000-8000-abcdef012345",
      "selected_api": "SplitwiseCLIAPI@1.0.0",
      "action_key": "new_contact",
      "action_type": "read",
      "inputs": {
        "first_name": "John",
        "last_name": "Doe"
      }
    }
  ],
  "meta": {
    "limit": 1,
    "offset": 0,
    "count": 1
  },
  "links": {
    "next": null
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication.

Response

Success: Includes all the Stored Actions for the caller. This could be an empty list.

results
object[]
required

Stored actions belonging to the caller.

meta
object
required

Limit-offset pagination metadata for a Stored Action list response.

Pagination navigation links for a Stored Action list response.